OnlyFans API
FanslyChats

List Chats

Get the list of chats (messaging groups) for a Fansly Account.

GET
/api/fansly/{fanslyAccount}/chats
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Path Parameters

fanslyAccount*string

The Fansly Account ID

Query Parameters

limit?string

Number of chats to return (1 - 100). Default = 20

offset?string

Number of chats to skip for pagination. Default = 0

search?string

Search query to filter chats by partner username/display name

order?string

Sort order for chats. Default = newest

Value in"newest" | "oldest" | "unread"

Response Body

application/json

curl -X GET "https://app.onlyfansapi.com/api/fansly/fansly_acct_XXXXXXXXXXXXXXX/chats?limit=20&offset=0&search=lillie&order=newest"
{
  "data": {
    "data": [
      {
        "account_id": "100000000000000001",
        "groupId": "200000000000000001",
        "partnerAccountId": "300000000000000001",
        "partnerUsername": "partner",
        "flags": 0,
        "unreadCount": 1,
        "subscriptionTierId": null,
        "lastMessageId": "400000000000000001",
        "lastUnreadMessageId": "400000000000000001"
      }
    ],
    "aggregationData": {
      "accounts": [
        {
          "id": "300000000000000001",
          "username": "partner",
          "displayName": "Partner",
          "flags": 0,
          "createdAt": 1700000000000,
          "followCount": 0,
          "subscriberCount": 0,
          "about": "About text",
          "location": "",
          "following": true,
          "avatar": {
            "id": "500000000000000001",
            "type": 1,
            "mimetype": "image/jpeg",
            "locations": [
              {
                "locationId": "1",
                "location": "https://cdn3.fansly.com/300000000000000001/500000000000000001.jpeg"
              }
            ]
          }
        }
      ],
      "groups": [
        {
          "id": "200000000000000001",
          "type": 1,
          "groupFlags": 0,
          "createdBy": "300000000000000001",
          "users": [
            {
              "groupId": "200000000000000001",
              "userId": "300000000000000001",
              "type": 0,
              "permissionFlags": 65535
            },
            {
              "groupId": "200000000000000001",
              "userId": "100000000000000001",
              "type": 0,
              "permissionFlags": 65535
            }
          ],
          "lastMessage": {
            "id": "400000000000000001",
            "type": 1,
            "content": "Message text",
            "groupId": "200000000000000001",
            "senderId": "300000000000000001",
            "createdAt": 1700000000,
            "attachments": [],
            "embeds": []
          }
        }
      ]
    },
    "hasMore": false
  },
  "_pagination": {
    "next_page": null
  },
  "_meta": {
    "_credits": {
      "used": 1,
      "balance": 10055812,
      "note": "Always"
    },
    "_cache": {
      "is_cached": false,
      "note": "Cache disabled for this endpoint"
    },
    "_rate_limits": {
      "limit_minute": 5000,
      "limit_day": null,
      "remaining_minute": 4999,
      "remaining_day": null,
      "notice": "We have decided to remove our daily rate limits. Please remove any references to these in your integrations."
    }
  }
}